#include "evfordulo.h"


bool Evfordulo::equal(const Datum &d) const{
  return d.getEv() >= getEv() && getHonap() == d.getHonap() && getNap() == d.getNap();
}

int Evfordulo::napszam(int ev)const{
  int n = ev * 365 + getNap() + szokoev();     
    for (int i = 0; i < getHonap()  - 1; i++)
        n += honap_napok[i];
    return n;
}
